Apache Tomcat 7.0.42

## org.apache.tomcat.util.http.fileupload
Class FileUploadException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.tomcat.util.http.fileupload.FileUploadException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FileUploadBase.InvalidContentTypeException, FileUploadBase.IOFileUploadException, FileUploadBase.SizeException

    public class FileUploadException

extends Exception

Exception for errors encountered while processing the request.

See Also:
  Serialized Form

Constructor Summary
`FileUploadException()`
`FileUploadException(String message)`
`FileUploadException(String message, Throwable cause)`
`FileUploadException(Throwable cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileUploadException

    public FileUploadException()

### FileUploadException

    public FileUploadException(String message,
                               Throwable cause)

### FileUploadException

    public FileUploadException(String message)

### FileUploadException

    public FileUploadException(Throwable cause)

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.